Bug 535199 - (RHQ-1920) center column data in resource hub
center column data in resource hub
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 19:12 EDT by John Mazzitelli
Modified: 2014-11-09 17:49 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot-1.jpg (32.71 KB, image/jpeg)
2009-04-02 19:13 EDT, John Mazzitelli
no flags Details
screenshot-2.jpg (8.50 KB, image/jpeg)
2009-04-11 02:25 EDT, John Mazzitelli
no flags Details
screenshot-better.jpg (24.12 KB, image/jpeg)
2009-04-11 03:11 EDT, John Mazzitelli
no flags Details

  None (edit)
Description John Mazzitelli 2009-04-02 19:12:00 EDT
look at attachment - I think it would look better if the right most column data (the counts/icons) were not right-aligned - they should be centered in the column cell.
Comment 1 John Mazzitelli 2009-04-11 02:25:54 EDT
screenshot-2 shows the problem more clear.  The "Children" and "Descendents" headers are left-aligned but the icons are right aligned. They look really off and you can't really tell if the first "0 (?)" is under Children or Descendents - in fact, it looks MORE like it belongs under Descendents than Children (which is where it really belongs).
Comment 2 John Mazzitelli 2009-04-11 02:29:33 EDT
The problem is in GroupHub.jsp:

         <display:column width="10%" property="explicitFormatted" title="resource.common.monitor.visibility.ChildAvailabilityTH"
                         headerStyleClass="ListHeaderCheckbox" valign="middle"
                         sortAttr="explicitAvail"/>

         <display:column width="10%" property="implicitFormatted" title="resource.common.monitor.visibility.DescendentAvailabilityTH"
                         headerStyleClass="ListHeaderCheckbox" valign="middle"
                         sortAttr="implicitAvail"/>

That headerStyleClass is completely ignored. I tried created my own class and using it, I also tried adding a "style: text-align: right" but <display:column> doesn't accept style attribute. Using FF DOM inspector, it tells me the header cells are of class "tableRowInactive". I can't see how I can change this for just these two display:column elements.

Somehow, we need those cells to be "text-align: right;" (or center, but I think right will look best). But I can't find a way to do it.
Comment 3 John Mazzitelli 2009-04-11 03:10:25 EDT
see the attached screenshot for the new way this is rendered. I basically changed the alignment of the rows to be left aligned, not right aligned. These put the images more directly under the header names. For those groups that only have a single image (all UP, all DOWN or grey) the images are directly under the header string, which is nice.
Comment 4 Jeff Weiss 2009-04-14 14:26:26 EDT
Fixed, rev3727.  The groups tabs look like the final screenshot attached.  I think the alignment could still use some improvement, but it's good enough for this release.
Comment 5 Red Hat Bugzilla 2009-11-10 15:49:30 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1920
Imported an attachment (id=368696)
Imported an attachment (id=368697)
Imported an attachment (id=368698)

Note You need to log in before you can comment on or make changes to this bug.